/grafana-datasources | Type: Application | PCID required: Yes
Tools
grafana_datasources_add_data_source
Create a data source. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
access | string | No | — | The access value |
basicAuth | boolean | No | — | Basic Auth |
basicAuthUser | string | No | — | Basic Auth User |
database | string | No | — | The database value |
isDefault | boolean | No | — | Is Default |
jsonData | object | No | — | Json Data |
name | string | No | — | The name value |
secureJsonData | object | No | — | Secure Json Data |
type | string | No | — | The type value |
uid | string | No | — | The uid value |
url | string | No | — | The url value |
user | string | No | — | The user value |
withCredentials | boolean | No | — | With Credentials |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"access": {
"type": "string",
"description": "The access value"
},
"basicAuth": {
"type": "boolean",
"description": "Basic Auth"
},
"basicAuthUser": {
"type": "string",
"description": "Basic Auth User"
},
"database": {
"type": "string",
"description": "The database value"
},
"isDefault": {
"type": "boolean",
"description": "Is Default"
},
"jsonData": {
"type": "object",
"description": "Json Data"
},
"name": {
"type": "string",
"description": "The name value"
},
"secureJsonData": {
"type": "object",
"description": "Secure Json Data"
},
"type": {
"type": "string",
"description": "The type value"
},
"uid": {
"type": "string",
"description": "The uid value"
},
"url": {
"type": "string",
"description": "The url value"
},
"user": {
"type": "string",
"description": "The user value"
},
"withCredentials": {
"type": "boolean",
"description": "With Credentials"
}
},
"required": [
"PCID"
]
}
grafana_datasources_call_datasource_resource_with_uid
Fetch data source resources. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
datasource_proxy_route | string | Yes | — | Datasource Proxy Route |
uid | string | Yes | — | The uid value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"datasource_proxy_route": {
"type": "string",
"description": "Datasource Proxy Route"
},
"uid": {
"type": "string",
"description": "The uid value"
}
},
"required": [
"PCID",
"datasource_proxy_route",
"uid"
]
}
grafana_datasources_check_datasource_health_with_uid
Sends a health check request to the plugin datasource identified by the UID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uid | string | Yes | — | The uid value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uid": {
"type": "string",
"description": "The uid value"
}
},
"required": [
"PCID",
"uid"
]
}
grafana_datasources_create_correlation
Add correlation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sourceUID | string | Yes | — | Source UID |
config | object | No | — | The config value |
description | string | No | — | Optional description of the correlation |
label | string | No | — | Optional label identifying the correlation |
provisioned | boolean | No | — | True if correlation was created with provisioning. This makes it read-only. |
targetUID | string | No | — | Target data source UID to which the correlation is created. required if type = query |
type | string | No | — | the type of correlation, either query for containing query information, or external for containing an external URL +enum |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sourceUID": {
"type": "string",
"description": "Source UID"
},
"config": {
"type": "object",
"description": "The config value",
"properties": {
"field": {
"type": "string",
"description": "Field used to attach the correlation link"
},
"target": {
"type": "object",
"description": "Target data query"
},
"transformations": {
"type": "array",
"items": {
"type": "object"
},
"description": "The transformations value"
},
"type": {
"type": "string",
"description": "the type of correlation, either query for containing query information, or external for containing an external URL +enum"
}
},
"required": [
"field",
"target"
]
},
"description": {
"type": "string",
"description": "Optional description of the correlation"
},
"label": {
"type": "string",
"description": "Optional label identifying the correlation"
},
"provisioned": {
"type": "boolean",
"description": "True if correlation was created with provisioning. This makes it read-only."
},
"targetUID": {
"type": "string",
"description": "Target data source UID to which the correlation is created. required if type = query"
},
"type": {
"type": "string",
"description": "the type of correlation, either query for containing query information, or external for containing an external URL +enum"
}
},
"required": [
"PCID",
"sourceUID"
]
}
grafana_datasources_create_query
Add query to query history. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
datasourceUid | string | No | — | UID of the data source for which are queries stored. |
queries | object | Yes | — | The queries value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"datasourceUid": {
"type": "string",
"description": "UID of the data source for which are queries stored."
},
"queries": {
"type": "object",
"description": "The queries value"
}
},
"required": [
"PCID",
"queries"
]
}
grafana_datasources_datasource_proxy_deleteby_uidcalls
Data source proxy DELETE calls. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uid | string | Yes | — | The uid value |
datasource_proxy_route | string | Yes | — | Datasource Proxy Route |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uid": {
"type": "string",
"description": "The uid value"
},
"datasource_proxy_route": {
"type": "string",
"description": "Datasource Proxy Route"
}
},
"required": [
"PCID",
"uid",
"datasource_proxy_route"
]
}
grafana_datasources_datasource_proxy_getby_uidcalls
Data source proxy GET calls. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
datasource_proxy_route | string | Yes | — | Datasource Proxy Route |
uid | string | Yes | — | The uid value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"datasource_proxy_route": {
"type": "string",
"description": "Datasource Proxy Route"
},
"uid": {
"type": "string",
"description": "The uid value"
}
},
"required": [
"PCID",
"datasource_proxy_route",
"uid"
]
}
grafana_datasources_datasource_proxy_postby_uidcalls
Data source proxy POST calls. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
datasource_proxy_route | string | Yes | — | Datasource Proxy Route |
uid | string | Yes | — | The uid value |
body | object | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"datasource_proxy_route": {
"type": "string",
"description": "Datasource Proxy Route"
},
"uid": {
"type": "string",
"description": "The uid value"
},
"body": {
"description": "Request body"
}
},
"required": [
"PCID",
"datasource_proxy_route",
"uid",
"body"
]
}
grafana_datasources_delete_annotation_by_id
Delete Annotation By ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
annotation_id | string | Yes | — | Annotation Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"annotation_id": {
"type": "string",
"description": "Annotation Id"
}
},
"required": [
"PCID",
"annotation_id"
]
}
grafana_datasources_delete_correlation
Delete a correlation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uid | string | Yes | — | The uid value |
correlationUID | string | Yes | — | Correlation UID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uid": {
"type": "string",
"description": "The uid value"
},
"correlationUID": {
"type": "string",
"description": "Correlation UID"
}
},
"required": [
"PCID",
"uid",
"correlationUID"
]
}
grafana_datasources_delete_data_source_by_uid
Delete an existing data source by UID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uid | string | Yes | — | The uid value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uid": {
"type": "string",
"description": "The uid value"
}
},
"required": [
"PCID",
"uid"
]
}
grafana_datasources_delete_query
Delete query in query history. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_history_uid | string | Yes | — | Query History Uid |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_history_uid": {
"type": "string",
"description": "Query History Uid"
}
},
"required": [
"PCID",
"query_history_uid"
]
}
grafana_datasources_get_annotation_by_id
Get Annotation by ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
annotation_id | string | Yes | — | Annotation Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"annotation_id": {
"type": "string",
"description": "Annotation Id"
}
},
"required": [
"PCID",
"annotation_id"
]
}
grafana_datasources_get_annotation_tags
Find Annotations Tags. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
tag | string | No | — | Tag is a string that you can use to filter tags. |
limit | string | No | — | Max limit for results returned. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"tag": {
"type": "string",
"description": "Tag is a string that you can use to filter tags."
},
"limit": {
"type": "string",
"description": "Max limit for results returned."
}
},
"required": [
"PCID"
]
}
grafana_datasources_get_annotations
Find Annotations. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
from | integer | No | — | Find annotations created after specific epoch datetime in milliseconds. |
to | integer | No | — | Find annotations created before specific epoch datetime in milliseconds. |
userId | integer | No | — | Limit response to annotations created by specific user. |
alertId | integer | No | — | Find annotations for a specified alert rule by its ID. deprecated: AlertID is deprecated and will be removed in future versions. Please use AlertUID instead. |
alertUID | string | No | — | Find annotations for a specified alert rule by its UID. |
dashboardId | integer | No | — | Find annotations that are scoped to a specific dashboard |
dashboardUID | string | No | — | Find annotations that are scoped to a specific dashboard |
panelId | integer | No | — | Find annotations that are scoped to a specific panel |
limit | integer | No | — | Max limit for results returned. |
tags | string[] | No | — | Use this to filter organization annotations. Organization annotations are annotations from an annotation data source that are not connected specifically to a dashboard or panel. You can filter by multiple tags. |
type | string | No | — | Return alerts or user created annotations |
matchAny | boolean | No | — | Match any or all tags |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"from": {
"type": "integer",
"description": "Find annotations created after specific epoch datetime in milliseconds."
},
"to": {
"type": "integer",
"description": "Find annotations created before specific epoch datetime in milliseconds."
},
"userId": {
"type": "integer",
"description": "Limit response to annotations created by specific user."
},
"alertId": {
"type": "integer",
"description": "Find annotations for a specified alert rule by its ID. deprecated: AlertID is deprecated and will be removed in future versions. Please use AlertUID instead."
},
"alertUID": {
"type": "string",
"description": "Find annotations for a specified alert rule by its UID."
},
"dashboardId": {
"type": "integer",
"description": "Find annotations that are scoped to a specific dashboard"
},
"dashboardUID": {
"type": "string",
"description": "Find annotations that are scoped to a specific dashboard"
},
"panelId": {
"type": "integer",
"description": "Find annotations that are scoped to a specific panel"
},
"limit": {
"type": "integer",
"description": "Max limit for results returned."
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "Use this to filter organization annotations. Organization annotations are annotations from an annotation data source that are not connected specifically to a dashboard or panel. You can filter by multiple tags."
},
"type": {
"type": "string",
"description": "Return alerts or user created annotations",
"enum": [
"alert",
"annotation"
]
},
"matchAny": {
"type": "boolean",
"description": "Match any or all tags"
}
},
"required": [
"PCID"
]
}
grafana_datasources_get_correlation
Gets a correlation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sourceUID | string | Yes | — | Source UID |
correlationUID | string | Yes | — | Correlation UID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sourceUID": {
"type": "string",
"description": "Source UID"
},
"correlationUID": {
"type": "string",
"description": "Correlation UID"
}
},
"required": [
"PCID",
"sourceUID",
"correlationUID"
]
}
grafana_datasources_get_correlations
Gets all correlations. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | Limit the maximum number of correlations to return per page |
page | integer | No | — | Page index for starting fetching correlations |
sourceUID | string[] | No | — | Source datasource UID filter to be applied to correlations |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "Limit the maximum number of correlations to return per page"
},
"page": {
"type": "integer",
"description": "Page index for starting fetching correlations"
},
"sourceUID": {
"type": "array",
"items": {
"type": "string"
},
"description": "Source datasource UID filter to be applied to correlations"
}
},
"required": [
"PCID"
]
}
grafana_datasources_get_correlations_by_source_uid
Gets all correlations originating from the given data source. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sourceUID | string | Yes | — | Source UID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sourceUID": {
"type": "string",
"description": "Source UID"
}
},
"required": [
"PCID",
"sourceUID"
]
}
grafana_datasources_get_data_source_by_uid
Get a single data source by UID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uid | string | Yes | — | The uid value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uid": {
"type": "string",
"description": "The uid value"
}
},
"required": [
"PCID",
"uid"
]
}
grafana_datasources_get_data_sources
Get all data sources.Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
grafana_datasources_mass_delete_annotations
Delete multiple annotations. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
annotationId | integer | No | — | Annotation Id |
dashboardId | integer | No | — | Dashboard Id |
dashboardUID | string | No | — | Dashboard UID |
panelId | integer | No | — | Panel Id |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"annotationId": {
"type": "integer",
"description": "Annotation Id"
},
"dashboardId": {
"type": "integer",
"description": "Dashboard Id"
},
"dashboardUID": {
"type": "string",
"description": "Dashboard UID"
},
"panelId": {
"type": "integer",
"description": "Panel Id"
}
},
"required": [
"PCID"
]
}
grafana_datasources_patch_annotation
Patch Annotation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
annotation_id | string | Yes | — | Annotation Id |
data | object | No | — | The data value |
id | integer | No | — | The id value |
tags | string[] | No | — | The tags value |
text | string | No | — | The text value |
time | integer | No | — | The time value |
timeEnd | integer | No | — | Time End |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"annotation_id": {
"type": "string",
"description": "Annotation Id"
},
"data": {
"type": "object",
"description": "The data value"
},
"id": {
"type": "integer",
"description": "The id value"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tags value"
},
"text": {
"type": "string",
"description": "The text value"
},
"time": {
"type": "integer",
"description": "The time value"
},
"timeEnd": {
"type": "integer",
"description": "Time End"
}
},
"required": [
"PCID",
"annotation_id"
]
}
grafana_datasources_patch_query_comment
Update comment for query in query history. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_history_uid | string | Yes | — | Query History Uid |
comment | string | No | — | Updated comment |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_history_uid": {
"type": "string",
"description": "Query History Uid"
},
"comment": {
"type": "string",
"description": "Updated comment"
}
},
"required": [
"PCID",
"query_history_uid"
]
}
grafana_datasources_post_annotation
Create Annotation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
dashboardId | integer | No | — | Dashboard Id |
dashboardUID | string | No | — | Dashboard UID |
data | object | No | — | The data value |
panelId | integer | No | — | Panel Id |
tags | string[] | No | — | The tags value |
text | string | Yes | — | The text value |
time | integer | No | — | The time value |
timeEnd | integer | No | — | Time End |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"dashboardId": {
"type": "integer",
"description": "Dashboard Id"
},
"dashboardUID": {
"type": "string",
"description": "Dashboard UID"
},
"data": {
"type": "object",
"description": "The data value"
},
"panelId": {
"type": "integer",
"description": "Panel Id"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tags value"
},
"text": {
"type": "string",
"description": "The text value"
},
"time": {
"type": "integer",
"description": "The time value"
},
"timeEnd": {
"type": "integer",
"description": "Time End"
}
},
"required": [
"PCID",
"text"
]
}
grafana_datasources_post_graphite_annotation
Create Annotation in Graphite format. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
data | string | No | — | The data value |
tags | object | No | — | The tags value |
what | string | No | — | The what value |
when | integer | No | — | The when value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"data": {
"type": "string",
"description": "The data value"
},
"tags": {
"description": "The tags value"
},
"what": {
"type": "string",
"description": "The what value"
},
"when": {
"type": "integer",
"description": "The when value"
}
},
"required": [
"PCID"
]
}
grafana_datasources_query_metrics_with_expressions
DataSource query metrics with expressions. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
debug | boolean | No | — | The debug value |
from | string | Yes | — | From Start time in epoch timestamps in milliseconds or relative using Grafana time units. |
queries | object[] | Yes | — | queries.refId – Specifies an identifier of the query. Is optional and default to “A”. queries.datasourceId – Specifies the data source to be queried. Each query in the request must have an unique datasourceId. queries.maxDataPoints - Species maximum amount of data points that dashboard panel can render. Is optional and default to 100. queries.intervalMs - Specifies the time interval in milliseconds of time series. Is optional and defaults to 1000. |
to | string | Yes | — | To End time in epoch timestamps in milliseconds or relative using Grafana time units. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"debug": {
"type": "boolean",
"description": "The debug value"
},
"from": {
"type": "string",
"description": "From Start time in epoch timestamps in milliseconds or relative using Grafana time units."
},
"queries": {
"type": "array",
"items": {
"type": "object"
},
"description": "queries.refId – Specifies an identifier of the query. Is optional and default to “A”. queries.datasourceId – Specifies the data source to be queried. Each query in the request must have an unique datasourceId. queries.maxDataPoints - Species maximum amount of data points that dashboard panel can render. Is optional and default to 100. queries.intervalMs - Specifies the time interval in milliseconds of time series. Is optional and defaults to 1000."
},
"to": {
"type": "string",
"description": "To End time in epoch timestamps in milliseconds or relative using Grafana time units."
}
},
"required": [
"PCID",
"from",
"queries",
"to"
]
}
grafana_datasources_search_queries
Query history search. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
datasourceUid | string[] | No | — | List of data source UIDs to search for |
searchString | string | No | — | Text inside query or comments that is searched for |
onlyStarred | boolean | No | — | Flag indicating if only starred queries should be returned |
sort | string | No | — | Sort method |
page | integer | No | — | Use this parameter to access hits beyond limit. Numbering starts at 1. limit param acts as page size. |
limit | integer | No | — | Limit the number of returned results |
from | integer | No | — | From range for the query history search |
to | integer | No | — | To range for the query history search |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"datasourceUid": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of data source UIDs to search for"
},
"searchString": {
"type": "string",
"description": "Text inside query or comments that is searched for"
},
"onlyStarred": {
"type": "boolean",
"description": "Flag indicating if only starred queries should be returned"
},
"sort": {
"type": "string",
"description": "Sort method",
"enum": [
"time-desc",
"time-asc"
]
},
"page": {
"type": "integer",
"description": "Use this parameter to access hits beyond limit. Numbering starts at 1. limit param acts as page size."
},
"limit": {
"type": "integer",
"description": "Limit the number of returned results"
},
"from": {
"type": "integer",
"description": "From range for the query history search"
},
"to": {
"type": "integer",
"description": "To range for the query history search"
}
},
"required": [
"PCID"
]
}
grafana_datasources_star_query
Add star to query in query history. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_history_uid | string | Yes | — | Query History Uid |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_history_uid": {
"type": "string",
"description": "Query History Uid"
}
},
"required": [
"PCID",
"query_history_uid"
]
}
grafana_datasources_unstar_query
Remove star to query in query history. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
query_history_uid | string | Yes | — | Query History Uid |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"query_history_uid": {
"type": "string",
"description": "Query History Uid"
}
},
"required": [
"PCID",
"query_history_uid"
]
}
grafana_datasources_update_annotation
Update Annotation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
annotation_id | string | Yes | — | Annotation Id |
data | object | No | — | The data value |
id | integer | No | — | The id value |
tags | string[] | No | — | The tags value |
text | string | No | — | The text value |
time | integer | No | — | The time value |
timeEnd | integer | No | — | Time End |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"annotation_id": {
"type": "string",
"description": "Annotation Id"
},
"data": {
"type": "object",
"description": "The data value"
},
"id": {
"type": "integer",
"description": "The id value"
},
"tags": {
"type": "array",
"items": {
"type": "string"
},
"description": "The tags value"
},
"text": {
"type": "string",
"description": "The text value"
},
"time": {
"type": "integer",
"description": "The time value"
},
"timeEnd": {
"type": "integer",
"description": "Time End"
}
},
"required": [
"PCID",
"annotation_id"
]
}
grafana_datasources_update_correlation
Updates a correlation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sourceUID | string | Yes | — | Source UID |
correlationUID | string | Yes | — | Correlation UID |
config | object | No | — | The config value |
description | string | No | — | Optional description of the correlation |
label | string | No | — | Optional label identifying the correlation |
type | string | No | — | the type of correlation, either query for containing query information, or external for containing an external URL +enum |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"sourceUID": {
"type": "string",
"description": "Source UID"
},
"correlationUID": {
"type": "string",
"description": "Correlation UID"
},
"config": {
"type": "object",
"description": "The config value",
"properties": {
"field": {
"type": "string",
"description": "Field used to attach the correlation link"
},
"target": {
"type": "object",
"description": "Target data query"
},
"transformations": {
"type": "array",
"items": {
"type": "object"
},
"description": "Source data transformations"
}
}
},
"description": {
"type": "string",
"description": "Optional description of the correlation"
},
"label": {
"type": "string",
"description": "Optional label identifying the correlation"
},
"type": {
"type": "string",
"description": "the type of correlation, either query for containing query information, or external for containing an external URL +enum"
}
},
"required": [
"PCID",
"sourceUID",
"correlationUID"
]
}
grafana_datasources_update_data_source_by_uid
Update an existing data source. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
uid | string | Yes | — | The uid value |
access | string | No | — | The access value |
basicAuth | boolean | No | — | Basic Auth |
basicAuthUser | string | No | — | Basic Auth User |
database | string | No | — | The database value |
isDefault | boolean | No | — | Is Default |
jsonData | object | No | — | Json Data |
name | string | No | — | The name value |
secureJsonData | object | No | — | Secure Json Data |
type | string | No | — | The type value |
url | string | No | — | The url value |
user | string | No | — | The user value |
version | integer | No | — | The previous version — used for optimistic locking |
withCredentials | boolean | No | — | With Credentials |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"uid": {
"type": "string",
"description": "The uid value"
},
"access": {
"type": "string",
"description": "The access value"
},
"basicAuth": {
"type": "boolean",
"description": "Basic Auth"
},
"basicAuthUser": {
"type": "string",
"description": "Basic Auth User"
},
"database": {
"type": "string",
"description": "The database value"
},
"isDefault": {
"type": "boolean",
"description": "Is Default"
},
"jsonData": {
"type": "object",
"description": "Json Data"
},
"name": {
"type": "string",
"description": "The name value"
},
"secureJsonData": {
"type": "object",
"description": "Secure Json Data"
},
"type": {
"type": "string",
"description": "The type value"
},
"url": {
"type": "string",
"description": "The url value"
},
"user": {
"type": "string",
"description": "The user value"
},
"version": {
"type": "integer",
"description": "The previous version -- used for optimistic locking"
},
"withCredentials": {
"type": "boolean",
"description": "With Credentials"
}
},
"required": [
"PCID",
"uid"
]
}

